[arch-commits] Commit in haskell-network2.8/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sat Oct 3 23:12:17 UTC 2020


    Date: Saturday, October 3, 2020 @ 23:12:17
  Author: felixonmars
Revision: 716929

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-network2.8/repos/community-staging-x86_64/
  haskell-network2.8/repos/community-staging-x86_64/PKGBUILD
    (from rev 716928, haskell-network2.8/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: haskell-network2.8/repos/community-staging-x86_64/PKGBUILD (from rev 716928, haskell-network2.8/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-10-03 23:12:17 UTC (rev 716929)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Thomas Dziedzic <gostrc at gmail.com>
+
+_hkgname=network
+pkgname=haskell-network2.8
+pkgver=2.8.0.1
+pkgrel=26
+pkgdesc="Low-level networking interface"
+url="https://hackage.haskell.org/package/${_hkgname}"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs')
+makedepends=('ghc' 'haskell-doctest' 'haskell-hspec' 'haskell-hunit')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('e133b1fadfdb0a38fff1fbeabec8ec90a8e7ec49a32a168077588289127ede25b7b4077269eac99f42df657f52e73332a58781e4d9ffd1cd1058497d8ac90f85')
+
+build() {
+    cd $_hkgname-$pkgver
+
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/haskell/network/issues/333#issuecomment-400173091
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}


More information about the arch-commits mailing list